require 'spec_helper'

describe Elong::API::Static::Hotel,"#list" do
  let(:list) {Elong::API::Static::Hotel.list()}
  let(:list0) {Elong::API::Static::Hotel.list(0)}
  let(:list1) {Elong::API::Static::Hotel.list(1)}
  it "should return array of all hotel ids which size is bigger than 70000 " do
    list_class = list.class
    list_class.should == Array
    list_size = list.size
    list_size.should > 70000
    list_first = list.first
    list_first.should =~ /[0-9]{8}/
  end
  it "should return array of all hotel ids which size is between 45000 and 70000" do
    list0_class = list0.class
    list0_class.should == Array
    list0_size = list0.size
    (45000..70000).should cover list0_size
    list0_first = list0.first
    list0_first.should =~ /[0-9]{8}/
  end
  it "should return array of all hotel ids which size is between 20000 and 45000" do
    list1_class = list1.class
    list1_class.should == Array
    list1_size = list1.size
    (20000..45000).should cover list1_size
    list1_first = list1.first
    list1_first.should =~ /[0-9]{8}/
  end
end
__END__
describe Elong::API::Static::Hotel,"#brands" do
  let(:brands) {Elong::API::Static::Hotel.brands}
  it "should return array of brands which size is bigger than 50" do
    brands.class.should == Array
    brands.first.should have_key 'BrandId'
  end
end



describe Elong::API::Static::Hotel,"#detail" do
  let(:detail){Elong::API::Static::Hotel.detail('01667007')}
  it "should get at least hotel name from hotel id 01667007" do
    detail.class.should == Hash
    detail.should have_key 'Name'
    detail['Name'].class.should == String
    detail['Name'].size.should > 0
  end
end

describe Elong::API::Static::Hotel,"#geo" do
  let(:geo){Elong::API::Static::Hotel.geo}
  it "should get an Array " do
    geo.class.should == Array
  end
  it "should get at least CityName from the first geo data" do
    geo.first.should have_key 'CityName'
  end
end